Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports EBSServicesProvider


Partial Class LoadTest_TestCLU
    Inherits System.Web.UI.Page

    Private _provider As IEBSServicesProvider

    Private Property Provider() As IEBSServicesProvider
        Get
            Return _provider
        End Get
        Set(ByVal value As IEBSServicesProvider)
            _provider = value
        End Set
    End Property

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        On Error Resume Next
        '################
        'TEST CLU
        '################
        Me.Provider = New ProviderManager()

        Dim objRequest As New GetLineupByIDRequest
        Dim objresult As New GetLineupByIDResponse

        objRequest.SystemInfo = New SystemInfo
        objRequest.SystemInfo.FTA = "202"
        objRequest.SystemInfo.ServiceLevelName = "HDTV"
        objRequest.SystemInfo.SystemCode = "1000260"
        objresult = Me.Provider.GetLineupByID(objRequest)

        If Not (objresult Is Nothing) Then
            If Not (objresult.Exception) Then
                Response.Write("CLU is Good" & "<br>")
            Else
                Response.Write("CLU is <b>Bad</b>" & "<br>")
            End If
        Else
            Response.Write("CLU is <b>Bad</b>" & "<br>")
        End If



    End Sub
End Class
